Page MenuHomePhabricator

Review and deploy Wikibase-Quality on wikidata.org
Closed, ResolvedPublic1 Story Points

Description

https://www.mediawiki.org/wiki/WikidataQuality

Please install Wikibase-Quality (Branch v1 on Gerrit) on wikidata.org
Thank you very much!

See also: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/WikibaseQuality

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
InvalidAndreasburmeister
Resolvedcsteipp
Resolvedcsteipp
Resolveddaniel
InvalidNone
ResolvedNone
Declinedcsteipp
Declinedcsteipp
Declinedcsteipp
DeclinedNone
InvalidAndreasburmeister
DeclinedNone
Resolvedsoeren.oldag
Resolvedcsteipp
Resolvedcsteipp
ResolvedJonas.keutel
DeclinedNone
ResolvedJanZerebecki
Resolveddaniel
ResolvedNone
ResolvedJanZerebecki
Resolveddaniel
Resolved Addshore
Resolvedaude
DeclinedNone
DeclinedNone
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
Resolvedhoo
ResolvedLucas_Werkmeister_WMDE
ResolvedLydia_Pintscher
InvalidLydia_Pintscher
InvalidNone
InvalidLydia_Pintscher
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
Resolvedsoeren.oldag
DeclinedNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLucas_Werkmeister_WMDE
InvalidNone
ResolvedLydia_Pintscher
ResolvedJan_Dittrich
ResolvedLucas_Werkmeister_WMDE
ResolvedJan_Dittrich
OpenNone
ResolvedLucas_Werkmeister_WMDE
ResolvedLadsgroup
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLucas_Werkmeister_WMDE

Event Timeline

Tamslo created this task.May 16 2015, 10:50 AM
Tamslo raised the priority of this task from to Needs Triage.
Tamslo updated the task description. (Show Details)
Tamslo added a project: Wikibase-Quality.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2015, 10:50 AM
Tamslo updated the task description. (Show Details)May 16 2015, 11:10 AM
Reedy added a subscriber: Reedy.EditedMay 16 2015, 4:24 PM

For sake of stating the obvious, this is something that is wanted (and probably more applicably, ready?) to be deployed to Wikidata? And the WMDE dev team have OK'd this?

Also, who is going to be doing most of the review? WMDE or WMF? As we all know, Chris doesn't have a lot of free time for large security reviews, and similar can probably be said for Ori and Aaron...

hoo triaged this task as High priority.May 16 2015, 4:25 PM
hoo added a project: Wikidata.
hoo added a subscriber: hoo.
hoo added subscribers: greg, mmodell.May 16 2015, 4:27 PM

I think WMDE should handle most of the code review here, also we are should probably be the ones that deploy this extension.

Yes we'll do the basic code review at WMDE. Security and performance review should come from WMF.
The extension is ok'd and wanted from WMDE. The functionality is productizing and extending existing functionality the Wikidata community has built so we're all good there as well.

Tamslo added a subscriber: Tamslo.Jun 18 2015, 6:14 PM

Scripts, Maintenance Scripts and Databases for the Quality Extensions

Wikibase Quality

  • Database 'wbq_violations' [no need to do anything here]

Wikibase Quality Constraints T99354

  • Database 'wbqc_constraints'

Wikibase Quality External Validation T99357

  • Database 'wbqev_exernal_data'
  • Database 'wbqev_dump_information'
  • Database 'wbqev_identifier_properties'
    • parse external data and meta data to create csv-files with https://github.com/WikidataQuality/DumpConverter [instructions in Readme] (ca. 120 min, 2,500,000 lines)
    • the csv-files are compressed into a single tar-archive
    • insert into tables with maintenance/UpdateTable.php [usage: pass tar-file with --tar-file <path-to-tar-file]
JanZerebecki moved this task from Backlog to TODO on the Wikibase-Quality board.Jun 18 2015, 10:23 PM

Change 219630 had a related patch set uploaded (by JanZerebecki):
Default wmgUseWikibaseQuality on beta to true.

https://gerrit.wikimedia.org/r/219630

Change 219630 merged by jenkins-bot:
Default wmgUseWikibaseQuality on beta to true.

https://gerrit.wikimedia.org/r/219630

Tamslo updated the task description. (Show Details)Jun 23 2015, 9:13 AM

The URL of the repository changed, see the description.

Tobi_WMDE_SW edited a custom field.Jun 24 2015, 10:08 AM

Change 223011 had a related patch set uploaded (by Hoo man):
Enable WikibaseQuality and WikibaseQualityConstraints on wikidata

https://gerrit.wikimedia.org/r/223011

Change 223011 merged by jenkins-bot:
Enable WikibaseQuality and WikibaseQualityConstraints on wikidata

https://gerrit.wikimedia.org/r/223011

JanZerebecki reopened this task as Open.Jul 6 2015, 12:36 PM

Wrong ticket.

JanZerebecki removed JanZerebecki as the assignee of this task.Jul 23 2015, 4:50 PM
Lydia_Pintscher closed this task as Resolved.Aug 7 2015, 5:40 PM
Lydia_Pintscher claimed this task.